summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2022-10-22 13:01:20 +0200
committerLucki2022-10-22 13:01:20 +0200
commit3012f8fa7f2b593a66e179f291d7d938cde24464 (patch)
tree3254bca3c5b7a58d3848c6043fe910927e30edcb
parent782245626273a022767b1591febb01278262c017 (diff)
downloadaur-lix-git.tar.gz
upgpkg: lix-git 0.10.0.r1666414453.0226bd1c-1
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD34
-rw-r--r--lix-git.desktop8
3 files changed, 20 insertions, 28 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 341476b6e6c..10271a67d1e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = lix-git
pkgdesc = An action-puzzle game inspired by Lemmings
- pkgver = 0.9.31.r1587672355.8757be6b
- pkgrel = 3
+ pkgver = 0.10.0.r1666414453.0226bd1c
+ pkgrel = 1
url = http://www.lixgame.com/
arch = i686
arch = x86_64
@@ -17,7 +17,6 @@ pkgbase = lix-git
conflicts = lix
source = lix-git::git+https://github.com/SimonN/lix-unstable.git
source = lix-git-music-1.zip::http://www.lixgame.com/dow/lix-music.zip
- source = lix-git.desktop
source = lix-git-allegro::git+https://github.com/SiegeLord/DAllegro5.git#tag=v4.0.4+5.2.0
source = lix-git-bolts::git+https://github.com/aliak00/bolts.git#tag=v1.3.1
source = lix-git-derelict-enet::git+https://github.com/DerelictOrg/DerelictENet.git#tag=v4.2.0
@@ -31,7 +30,6 @@ pkgbase = lix-git
source = lix-git-unit-threaded::git+https://github.com/atilaneves/unit-threaded.git#tag=v0.7.55
sha512sums = SKIP
sha512sums = 37349c98b739ea43c25137dd03865f1c9c41eec91e5edc109afd9d50ce3871bd0c7f63c3f3599a47bb4ef52f5bfd14e034010de0ac2aec5a9c0c83eaf0b89425
- sha512sums = 375b1439d9398371a3f58a92bfc0901b86bd89140aae431c7d9405bd2fb36ebcdb22b2686fea72d88b23a4ab94b138b4d742d8fd2965d8ec0542d2f8f64ed0c2
sha512sums = SKIP
sha512sums = SKIP
sha512sums = SKIP
diff --git a/PKGBUILD b/PKGBUILD
index c8a176bf763..bd7246e55e3 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,12 +4,14 @@
pkgname=lix-git
_pkgname=${pkgname%-git}
-pkgver=0.9.31.r1587672355.8757be6b
-pkgrel=3
+pkgver=0.10.0.r1666414453.0226bd1c
+pkgrel=1
provides=("$_pkgname")
conflicts=("$_pkgname")
-source=("$pkgname::git+https://github.com/SimonN/lix-unstable.git")
-sha512sums=('SKIP')
+source=("$pkgname::git+https://github.com/SimonN/lix-unstable.git"
+ "$pkgname-music-1.zip::http://www.lixgame.com/dow/lix-music.zip")
+sha512sums=('SKIP'
+ '37349c98b739ea43c25137dd03865f1c9c41eec91e5edc109afd9d50ce3871bd0c7f63c3f3599a47bb4ef52f5bfd14e034010de0ac2aec5a9c0c83eaf0b89425')
pkgdesc="An action-puzzle game inspired by Lemmings"
arch=('i686' 'x86_64')
url="http://www.lixgame.com/"
@@ -33,12 +35,6 @@ _dubv=( "4.0.4+5.2.0" # allegro
# These have to be git clones, otherwise dub isn't able to pick them up with the correct version later on
# no git, no version field, assumed ~master
# https://dub.pm/commandline.html#add-path
-source+=( "$pkgname-music-1.zip::http://www.lixgame.com/dow/lix-music.zip"
- "$pkgname.desktop"
- )
-sha512sums+=( '37349c98b739ea43c25137dd03865f1c9c41eec91e5edc109afd9d50ce3871bd0c7f63c3f3599a47bb4ef52f5bfd14e034010de0ac2aec5a9c0c83eaf0b89425'
- '375b1439d9398371a3f58a92bfc0901b86bd89140aae431c7d9405bd2fb36ebcdb22b2686fea72d88b23a4ab94b138b4d742d8fd2965d8ec0542d2f8f64ed0c2'
- )
source+=( "$pkgname-allegro::git+https://github.com/SiegeLord/DAllegro5.git#tag=v${_dubv[0]}"
"$pkgname-bolts::git+https://github.com/aliak00/bolts.git#tag=v${_dubv[1]}"
"$pkgname-derelict-enet::git+https://github.com/DerelictOrg/DerelictENet.git#tag=v${_dubv[2]}"
@@ -66,7 +62,7 @@ sha512sums+=( 'SKIP'
pkgver() {
# https://wiki.archlinux.org/index.php/VCS_package_guidelines#Git
- cd "$pkgname" || exit
+ cd "$pkgname" || exit 1
(
set -o pipefail
@@ -81,6 +77,12 @@ pkgver() {
_build() {
_r=0
+ # 2022.02.26
+ # 15:22 <@SimonN> It's possible that it's already enough to raise the stack size in the current shell: ulimit -s 16384
+ # 15:22 <@SimonN> See also: https://github.com/ldc-developers/ldc/issues/3913
+ # 15:26 <@SimonN> Yes, very high chance that the following will fix/workaround: Execute "ulimit -s 16384" in the same shell that will then run dub. I.e., we double the stack size, assuming "ulimit -s" printed 8192 before; it does that for me in new shells.
+ ulimit -s 16384
+
# add local dependencies to search path
dub add-path "$srcdir"
@@ -113,25 +115,25 @@ _build() {
}
build() {
- cd "$pkgname" || exit
+ cd "$pkgname" || exit 1
_build build
}
check() {
- cd "$pkgname" || exit
+ cd "$pkgname" || exit 1
_build test
}
package() {
+ cd "$pkgname" || exit 1
+
# install application entry
install -Dm644 \
`# SRCFILE:` \
- "$pkgname.desktop" \
+ "data/desktop/com.lixgame.Lix.desktop" \
`# DSTFILE:` \
"$pkgdir/usr/share/applications/$_pkgname.desktop"
- cd "$pkgname" || exit
-
# install application entry icon
install -Dm644 \
`# SRCFILE:` \
diff --git a/lix-git.desktop b/lix-git.desktop
deleted file mode 100644
index 748937dbf72..00000000000
--- a/lix-git.desktop
+++ /dev/null
@@ -1,8 +0,0 @@
-[Desktop Entry]
-Type=Application
-Name=Lix
-Comment=An action-puzzle game inspired by Lemmings
-Exec=lix
-Icon=lix
-Categories=Game;ActionGame;
-Keywords=game;lemmings;